Subject: OMAP baseline test results for v3.18-rc1

From: [email-masked] (Tony Lindgren)
Date: Mon, 27 Oct 2014 08:53:44 -0700

* Paul Walmsley <[email-masked]> [141023 08:21]:
> On Mon, 20 Oct 2014, Paul Walmsley wrote:
> 
> > Boot-time memory difference
> > (delta in bytes from test_v3.17-rc7 (fe82dcec644244676d55a1384c958d5f67979adb))
> >   avail  rsrvd   high  freed  board          kconfig
> >  -117908k -13164k      .  -148k  2420n800    omap2plus_defconfig_n800_only_a
> >  -1012k  1012k      .      .  2430sdp        omap2plus_defconfig
> >  -1268k  1268k      .    16k  3530es31beagle omap2plus_defconfig
> >  -1268k  1268k      .    16k  3530es3beagle  omap2plus_defconfig
> >  -1780k  1780k      .    16k  3730beaglexm   omap2plus_defconfig
> >  -1780k  1780k      .    16k  3730es12beaglexmomap2plus_defconfig
> >  -1268k  1268k      .    16k  37xxevm        omap2plus_defconfig
> >  -2780k  2780k -16384k    16k  4460pandaes    omap2plus_defconfig
> >  -2776k  2776k -16384k    16k  4460varsomom   omap2plus_defconfig
> >  -4848k  4848k -16384k    16k  5430es2sbct54  omap2plus_defconfig
> >  -4800k  4800k -16384k    16k  5430es2uevm    omap2plus_defconfig
> >   -996k   996k      .     8k  am335xbone     omap2plus_defconfig_am33xx_only
> >  -1268k  1268k      .    16k  am335xbonelt   omap2plus_defconfig
> > 
> > 
> > The size of an omap2plus_defconfig kernel has increased by 760K - a 
> > remarkable increase that fortunately does not appear to be matched by 
> > runtime memory consumption.
> 
> Well let's take that back.  I seem to have glazed over the 1 to 4MB (!) 
> runtime memory usage increases in boot memory consumption.  That is also 
> an extraordinary increase.

Probably mostly caused by 673ce00c5d6c (ARM: omap2plus_defconfig: Add
support for distros with systemd). But I bet actually at least ipv6
can be a loadable module here, I'll take a look.

Regards,

Tony